Mailrelay API Reference

Get sent campaign's clicks

GET /sent_campaigns/{id}/clicks

Get sent campaign's clicks.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 10000.

The response will include two HTTP headers:

Header Description
Total The total number of pages based on your parameters. You can use this option to know when you've reached the end of the pagination.
Per-Page The number of records returned per page.

Parameters

NameTypeDescription
id integer ID of the record
unique boolean Return unique clicks grouped by sent email
page integer Page number
per_page integer Number of records per page
q[browser_eq] string Search: Browser equals
q[browser_cont] string Search: Browser contains
q[city_eq] string Search: City equals
q[city_cont] string Search: City contains
q[state_eq] string Search: State equals
q[state_cont] string Search: State contains
q[country_eq] string Search: Country equals
q[country_cont] string Search: Country contains
q[ip_eq] string Search: IP equals
q[ip_cont] string Search: IP contains
q[s] string Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "browser desc"

Responses

StatusDescription
200 Success
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.
404 Couldn't find record with provided ID.